import { DTOModel } from "core/dto_model";

export interface AuthDTO
  extends DTOModel<{
    access_token: string;
    refresh_token: string;
    token_type: string;
    expires_in: number;
    refresh_expires_in: number;
  }> {}

export interface AuthRequest {
  code: string;
}

export interface AccessTokenDTO {
  email: string,
  given_name: string;
  family_name: string;
  preferred_username: string;
}
